<?xml version="1.0"?>
<odoo>

	<record model="ir.ui.view" id="kalachakra.partner_draft">
      <field name="name">_partner_draft list</field>
      <field name="model">kalachakra.partnerdraft</field>
      <field name="arch" type="xml">
        <tree default_order="name,firstname">
        <field name="external_id"/>
        <field name="source_name"/>
        <field name="name"/>
        <field name="firstname"/>
        <field name="title"/>
        <field name="street"/>
        <field name="street2"/>
        <field name="city"/>
        <field name="country"/>
        <field name="zip"/>
        <field name="phone"/>
        <field name="email"/>
        <field name="statut_contact"/>
        <field name="date_creation_contact"/>
        <field name="origine"/>
        <field name="date_member"/>
               
        </tree>
      </field>
    </record>

    <record model="ir.ui.view" id="kalachakra.partner_draftfilelist">
      <field name="name">_partner_draft file list</field>
      <field name="model">kalachakra.partnerdraftfile</field>
      <field name="arch" type="xml">
        <tree>
        <field name="active"/>
        <field name="source_name"/>
        <field name="file_name"/>
        <field name="write_date"/>
        <field name="create_date"/>
        
        </tree>
      </field>
    </record>

    <record model="ir.ui.view" id="kalachakra.partner_draftfileform">
      <field name="name">_partner_draft file form</field>
      <field name="model">kalachakra.partnerdraftfile</field>
      <field name="arch" type="xml">
        <form>
        <group>
        <field name="active"/>
        <field name="source_name"/>
        <field name="file" filename="file_name"/>
        <field name="file_name" invisible="1"/>
        </group>
        </form>
      </field>
    </record>

  
  <record model="ir.actions.server" id="ir_action_partnerdraft_import">
            <field name="name">import file draft partner</field>
            <field name="model_id" ref="kalachakra.model_kalachakra_partnerdraftfile"/>
            <field name="state">code</field>
             <field name="code">action=model.import_csv_files()</field>
 </record>

 <record model="ir.actions.server" id="ir_action_partnerdraft_transfert">
            <field name="name">transfert draft partners</field>
            <field name="model_id" ref="kalachakra.model_kalachakra_partnerdraftfile"/>
            <field name="state">code</field>
             <field name="code">action=model.transfert_draftpartner()</field>
 </record>
  
  <record model="ir.ui.view" id="kalachakra.partner_draftfile_mapping_list">
      <field name="name">_partner_draft file ampping list</field>
      <field name="model">kalachakra.partnerdraftfile_mapping</field>
      <field name="arch" type="xml">
        <tree>
        <field name="external_field"/>
        <field name="odoo_field"/>
        </tree>
      </field>
    </record>
  


</odoo>